@echo off
setlocal enabledelayedexpansion

:: Kontrola existence adresáře C:\temp a jeho vytvoření
if not exist C:\temp\ md C:\temp\
pushd C:\temp\

:: Definice proměnných
set rustDeskURL=https://itsluzby.jiripocta.cz/rustdesk.exe
set rustDeskPath=rustdesk-IT-JiriPocta.exe
set configPath=%APPDATA%\RustDesk\config\RustDesk2.toml
set configURL=https://itsluzby.jiripocta.cz/RustDesk2.toml

:: Vytvoření nebo úprava konfiguračního složky
echo Konfigurace RustDesk...
if not exist "%APPDATA%\RustDesk\config" mkdir "%APPDATA%\RustDesk\config"

:: Kontrola, zda je curl dostupné
where curl >nul 2>nul
if %ERRORLEVEL% neq 0 (
    echo Curl neni k dispozici, pouzivam PowerShell pro stazeni.
    powershell -Command "Invoke-WebRequest -Uri '%rustDeskURL%' -OutFile '%rustDeskPath%'"
    powershell -Command "Invoke-WebRequest -Uri '%configURL%' -OutFile '%configPath%'"
) else (
    :: Stažení RustDesk pomocí curl
    echo Stahuji RustDesk...
    curl -L -o %rustDeskPath% %rustDeskURL%
    
    :: Stažení konfiguračního souboru pomocí curl
    echo Stahuji konfiguracni soubor RustDesk...
    curl -o %configPath% %configURL%
)

:: Spuštění RustDesk
echo Spuštění RustDesk...
start "" "%rustDeskPath%"

echo Nastavení dokončeno.
popd